# Insert quotes Endpoint: POST /enrichment/quotes Version: 2.51.0 Security: OAuth2 ## Request fields (application/json): - `externalId` (string, required) External id of the sales order that is globally unique across the provided sales order data Example: "QUOTE12345" - `externalClientId` (string) Identifier of the client entity in the source system which can be used to separate data Example: "CLIENT123" - `documentId` (string) Document id that was assigned during upload to Hypatos Example: "DOC12345" - `documents` (array) - `documents.id` (string) Document id that was assigned during upload to Hypatos Example: "DOC12345" - `documents.type` (string) Document type that was assigned during upload to Hypatos Example: "invoice" - `quoteNumber` (string) Quote number from the source system Example: "Q12345" - `customerOrderNumber` (string) Customer order number the quote refers to Example: "CO12345" - `externalCompanyId` (string) External unique id of the company in the source system Example: "COMP123" - `externalCustomerId` (string) External unique id of the customer in the source system Example: "CUST123" - `status` (string) Status of the quote Example: "approved" - `salesOrganizationCode` (string) Sales organization code Example: "SO123" - `distributionChannel` (string) Distribution channel code Example: "DC123" - `division` (string) Division code Example: "DIV123" - `salesGroup` (string) Sales group responsible for the quote Example: "123" - `salesOffice` (string) Sales office responsible for the quote Example: "456" - `type` (string) Type of the quote as defined in the source system Example: "standard" - `subType` (string) Sub-type of the quote as defined in the source system Example: "recurring" - `issuedDate` (string) Date when the quote was issued Example: "2023-01-01" - `validUntilDate` (string) Date until the quote is valid Example: "2023-12-31" - `fiscalYearLabel` (string) Fiscal year label used in the source system Example: "FY2023" - `isCanceled` (boolean) Indicator if the quote is canceled - `currency` (string) Three letter currency code as defined in ISO 4217 Example: "USD" - `totalNetAmount` (number) Total net amount of the quote Example: 1000 - `totalTaxAmount` (number) Total tax amount of the quote Example: 190 - `totalGrossAmount` (number) Total gross amount of the quote Example: 1190 - `paymentTerms` (object) - `paymentTerms.paymentTermKey` (string) Key of the payment term as defined in the source system Example: "T10" - `paymentTerms.descriptions` (array) Descriptions of the payment terms in different languages Example: [{"text":"Please pay us","language":"en"}] - `paymentTerms.descriptions.text` (string) Text content Example: "Fish & Chips" - `paymentTerms.descriptions.language` (string,null) Two letter language code as defined in ISO 639-1 Enum: "aa", "ab", "ae", "af", "ak", "am", "an", "ar", "as", "av", "ay", "az", "ba", "be", "bg", "bh", "bi", "bm", "bn", "bo", "br", "bs", "ca", "ce", "ch", "co", "cr", "cs", "cu", "cv", "cy", "da", "de", "dv", "dz", "ee", "el", "en", "eo", "es", "et", "eu", "fa", "ff", "fi", "fj", "fo", "fr", "fy", "ga", "gd", "gl", "gn", "gu", "gv", "ha", "he", "hi", "ho", "hr", "ht", "hu", "hy", "hz", "ia", "id", "ie", "ig", "ii", "ik", "io", "is", "it", "iu", "ja", "jv", "ka", "kg", "ki", "kj", "kk", "kl", "km", "kn", "ko", "kr", "ks", "ku", "kv", "kw", "ky", "la", "lb", "lg", "li", "ln", "lo", "lt", "lu", "lv", "mg", "mh", "mi", "mk", "ml", "mn", "mr", "ms", "mt", "my", "na", "nb", "nd", "ne", "ng", "nl", "nn", "no", "nr", "nv", "ny", "oc", "oj", "om", "or", "os", "pa", "pi", "pl", "ps", "pt", "qu", "rm", "rn", "ro", "ru", "rw", "sa", "sc", "sd", "se", "sg", "si", "sk", "sl", "sm", "sn", "so", "sq", "sr", "ss", "st", "su", "sv", "sw", "ta", "te", "tg", "th", "ti", "tk", "tl", "tn", "to", "tr", "ts", "tt", "tw", "ty", "ug", "uk", "ur", "uz", "ve", "vi", "vo", "wa", "wo", "xh", "yi", "yo", "za", "zh", "zu", null - `headerText` (string) Header text describing the quote Example: "This is a sample quote." - `customFields` (object) List of key value pairs containing custom fields from the source system - `customMetadata` (object) Any nested structure with metadata that source system needs to send Example: {"someTopLevelProperty":"value1","someNestedProperty":{"nestedProperty":"value2"},"someArrayProperty":["value3","value4"]} - `quoteLines` (array) - `quoteLines.quoteLineNumber` (string) Quote line number Example: "QL12345" - `quoteLines.externalCompanyId` (string) Company the quote line is assigned to Example: "COMP123" - `quoteLines.product` (object) - `quoteLines.product.externalId` (string) External ID of the quoted product Example: "PROD123" - `quoteLines.product.productNumber` (string) Product number Example: "PN123" - `quoteLines.product.customerProductNumber` (string) Customer-specific product number Example: "CPN123" - `quoteLines.product.type` (string) Product type Example: "standard" - `quoteLines.product.group` (string) Product group Example: "electronics" - `quoteLines.product.description` (string) Product description Example: "A high-quality electronic product." - `quoteLines.product.manufacturer` (string) Manufacturer of the product Example: "Acme Corp." - `quoteLines.product.manufacturerNumber` (string) Manufacturer-specific number Example: "MN123" - `quoteLines.product.unspsc` (string) UNSPSC classification code Example: "43211508" - `quoteLines.product.ean` (string) European Article Number (EAN-13) Example: "4006381333931" - `quoteLines.product.upc` (string) Universal Product Code (UPC-A) Example: "036000291452" - `quoteLines.status` (string) Status of the quote line Example: "approved" - `quoteLines.quantity` (number) Quoted quantity Example: 10 - `quoteLines.unitOfMeasure` (string) Unit of measure Example: "kg" - `quoteLines.unitPrice` (number) Unit price Example: 100 - `quoteLines.netAmount` (number) Net amount of the quote line Example: 1000 - `quoteLines.totalTaxAmount` (number) Tax amount of the quote line Example: 190 - `quoteLines.grossAmount` (number) Gross amount of the quote line Example: 1190 - `quoteLines.taxCode` (object) - `quoteLines.taxCode.code` (string) Unique code of the type of tax in the source system Example: "DEU_Standard" - `quoteLines.taxCode.description` (string) Description of the type of tax in the source system Example: "DEU - Standard (19%)" - `quoteLines.description` (string) Quote line description Example: "This is a sample quote line." - `quoteLines.plant` (string) Plant code Example: "PLANT123" - `quoteLines.storageLocation` (string) Storage location Example: "LOC123" - `quoteLines.externalShippingAddressId` (string) External shipping address ID Example: "ADDR123" - `quoteLines.externalBillingAddressId` (string) External billing address ID Example: "ADDR456" - `quoteLines.itemText` (string) Text describing the quote item Example: "Sample item text." - `quoteLines.type` (string) Type of the quote item Example: "standard" - `quoteLines.externalContractId` (string) Related external contract ID Example: "CONTRACT123" ## Response 200 fields (application/json): - `id` (string, required) Example: "3a429dc8-56d4-42ef-a4cf-2ebc9ad1ef38" ## Response 422 fields (application/json): - `detail` (array) - `detail.loc` (array, required) - `detail.msg` (string, required) - `detail.type` (string, required) ## Response 429 fields